#
# spec file for package limal-ca-mgm (Version 1.1.75)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison blocxx blocxx-devel brp-check-internal bzip2 coreutils cpio cpp cracklib curl cvs cyrus-sasl db dejagnu diffutils docbook-xsl-stylesheets docbook_4 doxygen e2fsprogs expect file filesystem fillup findutils flex gawk gcc gcc-c++ gdbm gdbm-devel gettext gettext-devel glibc glibc-32bit glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libgcrypt libgpg-error libgssapi libidn libmudflap libnscd libpng libstdc++ libstdc++-devel libtool libxcrypt libxml2 libxslt libzio limal limal-devel limal-devtools limal-perl m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl openssl-devel pam pam-modules patch pcre pcre-devel perl perl-Config-IniFiles perl-XML-Writer perl-gettext permissions pkgconfig popt post-build-checks procinfo procps psmisc pwdutils rcs readline recode rpm sed sgml-skel strace swig sysvinit tar tcl tcpd texinfo timezone unzip util-linux vim zlib zlib-devel


Name:           limal-ca-mgm
Version:        1.1.75
Release:        0.3
License:        GPL v2 or later
Group:          Development/Libraries/C and C++
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        limal-ca-mgm-1.1.75.tar.bz2
Prefix:         /usr
%define		swiglibdir /usr/share/limal/typemaps 
BuildRequires:  curl gcc-c++ limal-devel limal-devtools limal-perl openssl-devel perl-gettext sgml-skel
%if 0%{?fedora_version}
BuildRequires:  openssl-perl
Requires:       openssl-perl
%endif
Summary:        LiMaL - CA Management Library

%description
The LiMaL CA Management Library provides methods for managing a
Certificate Authority.



Authors:
--------
    Michael Calmer <mc@suse.de>

%debug_package
%package devel
License:        GPL v2 or later
Requires:       limal-ca-mgm = %version
Requires:       limal-devel, libstdc++-devel, blocxx-devel, pcre-devel
Group:          Development/Libraries/C and C++
Requires:       limal-devel openssl-devel
Summary:        LiMaL - CA Management Library Development Files

%description devel
The LiMaL CA Management Library provides methods for managing a
Certificate Authority. This package includes the header files and
development documentation.



Authors:
--------
    Michael Calmer <mc@suse.de>

%package perl
License:        GPL v2 or later
Requires:       limal-perl
%if 0%{?fedora_version} >= 7
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
%else
Requires:       perl = %{perl_version}
%endif
Group:          Development/Libraries/C and C++
Summary:        LiMaL - CA Management Library Perl Bindings

%description perl
The LiMaL CA Management Library provides methods for managing a
Certificate Authority.

This package provides the perl bindings to the CA Management Library.



Authors:
--------
    Michael Calmer <mc@suse.de>

%prep
%setup -n limal-ca-mgm-1.1.75

%build
%{prefix}/bin/limaltool limalautoconf
%{prefix}/bin/limaltool limalautomake
autoreconf --force --install --verbose
export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%{?suse_update_config:%{suse_update_config -f}}
# workaround for fedora gettext check on x86_64
sed -i -e 's/return (int) gettext/return (long) gettext/g' ./configure
./configure --libdir=%{_libdir} --prefix=%{prefix} --mandir=%{_mandir} \
            --sysconfdir=/etc --localstatedir=/var
make %{?jobs:-j%jobs}

%install
make install DESTDIR="$RPM_BUILD_ROOT"
[ -e "%{prefix}/share/limal/devtools/NO_MAKE_CHECK" ] || \
           LIMALDATADIR="$RPM_BUILD_ROOT/usr/share/limal"  \
# required for perl test cases
export LD_LIBRARY_PATH="$RPM_BUILD_ROOT/usr/lib/limal"
make check DESTDIR="$RPM_BUILD_ROOT"
mkdir -p $RPM_BUILD_ROOT/var/lib/
install -d -m 0700 $RPM_BUILD_ROOT/var/lib/CAM
install -d -m 0755 $RPM_BUILD_ROOT/var/lib/CAM/.cas/
install -m 0644 %{_builddir}/%{name}-%{version}/src/openssl.cnf.tmpl $RPM_BUILD_ROOT/var/lib/CAM/

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%dir %{_libdir}/limal
%attr(0700,root,root) %dir /var/lib/CAM
%attr(0755,root,root) %dir /var/lib/CAM/.cas
%config /var/lib/CAM/openssl.cnf.tmpl
%{_libdir}/limal/lib*.so.*
%{_prefix}/share/locale/*/LC_MESSAGES/*

%files devel
%defattr(-,root,root)
%dir %{_libdir}/limal
%{_libdir}/limal/lib*.so
%{_libdir}/limal/lib*.la
%dir %{_includedir}/limal/ca-mgm
%{_includedir}/limal/ca-mgm/*
%{_libdir}/pkgconfig/limal-ca-mgm.pc
%doc %{_prefix}/share/doc/packages/limal-ca-mgm

%files perl
%defattr(-,root,root)
%dir %{perl_vendorarch}/LIMAL
%dir %{perl_vendorarch}/auto/LIMAL
%dir %{perl_vendorarch}/auto/LIMAL/CaMgm/
%{perl_vendorarch}/auto/LIMAL/CaMgm/*
%{perl_vendorarch}/LIMAL/*.pm

%changelog
* Tue Nov 11 2008 - mc@suse.de
- version 1.1.75
- fix parsing of long serial numbers (bnc#439520)
* Fri Apr 18 2008 - mc@suse.de
- version 1.1.74
- update translations
* Fri Mar 14 2008 - mc@suse.de
- version 1.1.73
- update translations
* Fri Feb 15 2008 - mc@suse.de
- version 1.1.72
- update translations
* Wed Dec 19 2007 - mc@suse.de
- version 1.1.71
- fix testcase - renew expired CA
* Wed Nov 07 2007 - mc@suse.de
- version 1.1.70
- fix importCA [#337524]
* Thu Mar 29 2007 - mc@suse.de
- version 1.1.56
- update translations
* Mon Mar 19 2007 - mc@suse.de
- version 1.1.55
- update translations
* Fri Mar 09 2007 - mc@suse.de
- version 1.1.54
- update translations
* Tue Feb 27 2007 - mc@suse.de
- version 1.1.53
- update translations
* Fri Feb 16 2007 - mc@suse.de
- version 1.1.52
- update translations
* Mon Jan 15 2007 - mc@suse.de
- version 1.1.51
- merge proofreaded texts
* Thu Nov 30 2006 - mc@suse.de
- version 1.1.50
- add some testcases
- Adopted to build with blocxx-1.x as well as upcoming blocxx-2.x
- fix testcases (expired certificates)
- enhance verify testcase to detect expired certificates.
- changes for opensuse buildservice
- Makefile.cvs: add --verbose to autoreconf
- put some missing testcases into the package
- improve documentation
- Bug #184357: using gettext translation mechanism
- removing old mechanism
- Added i18n macro to all exception messages
* Tue Sep 12 2006 - mc@suse.de
- version 1.1.15
- fix testcases (expired certificates)
* Thu Apr 27 2006 - mc@suse.de
- version 1.1.14
- fix incompatible parameter name [#170174]
* Mon Mar 20 2006 - mc@suse.de
- version 1.1.13
- use new certificate in testsuite; the old was expired
* Thu Mar 02 2006 - mc@suse.de
- version 1.1.12
- got INIParser from limal (private)
* Thu Feb 23 2006 - mc@suse.de
- version 1.1.11
- fix DN policy check. Also provide a better error message.
  [#152826]
* Mon Feb 13 2006 - mc@suse.de
- version 1.1.10
- install all *.css and *.gif autodoc files
  fix #150393
* Fri Feb 10 2006 - mc@suse.de
- add perl-TypeTest.single
* Wed Feb 08 2006 - mc@suse.de
- version 1.1.9
- remove some template definitions
  provided via %%import in LIMAL now
  (part of fix for [#149073])
- add a perl testcase
* Fri Jan 27 2006 - mc@suse.de
- version 1.1.8
- add BuildRequires to spec-file
- install swig wrapper lib with 755 permissions
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 23 2006 - mc@suse.de
- version 1.1.7
- improve binary compatibility for the future
* Fri Jan 20 2006 - mc@suse.de
- remove unused member
- implement getSignatureAlgorithmAsString() in CRLData
* Tue Jan 17 2006 - mc@suse.de
- version 1.1.6
- check for libssl and link limal directly against it
* Mon Jan 16 2006 - mc@suse.de
- add more documentation
* Fri Jan 13 2006 - mc@suse.de
- version 1.1.5
- rename RequestData set/getSubject to set/getSubjectDN
  to be compatible with CertificateData and CRLData
* Wed Jan 04 2006 - mc@suse.de
- version 1.1.4
- unify methods of SubjectAlternativeNameExt and
  IssuerAlternativeNameExt
- implement writing DN default values to config
* Tue Dec 20 2005 - mc@suse.de
- version 1.1.3
- add convert functions to public interface
* Mon Dec 19 2005 - mc@suse.de
- version 1.1.2
- fix regex for changing the dir var
- add porting openssl.cnf.tmpl from old to new format
* Mon Dec 12 2005 - mc@suse.de
- version 1.1.1
- fix permissions during write private key
- fix getCATree(); show imported CAs where the root ca
  is not in the repository
- fix deleteCertificate(); do not fail if request does not exists
* Wed Nov 30 2005 - mc@suse.de
- initial version 1.1.0
